Index: /extensions/download_multi/language/pl_PL/description.txt
===================================================================
--- /extensions/download_multi/language/pl_PL/description.txt	(revision 16543)
+++ /extensions/download_multi/language/pl_PL/description.txt	(revision 16543)
@@ -0,0 +1,1 @@
+Pozwala na pobieranie zdjęć z różnych stron jako archiwum zip
Index: /extensions/download_multi/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/download_multi/language/pl_PL/plugin.lang.php	(revision 16543)
+++ /extensions/download_multi/language/pl_PL/plugin.lang.php	(revision 16543)
@@ -0,0 +1,81 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['dl_archive'] = 'Zobacz archiwa';
+$lang['dl_backup_config'] = 'Zapisana konfiguracja Download Multi';
+$lang['dl_bt_delete'] = 'Usuń';
+$lang['dl_bt_select'] = 'Wybierz';
+$lang['dl_bt_unselect'] = 'Usuń wybór';
+$lang['dl_cart'] = 'Koszyk';
+$lang['dl_choice_image'] = 'Musisz wybrać przynajmniej jedno zdjęcie';
+$lang['dl_class_exist'] = 'Aby galeria działa prawidłowo, Twój serwer musi obsługiwać klasę PHP - ZipArchive';
+$lang['dl_class_zip'] = 'Używasz';
+$lang['dl_converter'] = 'Konwerter';
+$lang['dl_dir_zip'] = 'Stworzenie folderu jest niemożliwe';
+$lang['dl_empty_cart'] = 'Pusty koszyk';
+$lang['dl_error_file_size_car'] = 'Maksymalny rozmiar <i>archiwum w bajtach</i> może zawierać tylko liczby';
+$lang['dl_error_file_size'] = 'Musisz sprecyzować wielkość archiwum';
+$lang['dl_error_group_id'] = 'Musisz wskazać grupę, której będzie można pobierać zdjęcia';
+$lang['dl_error_pattern_name'] = 'Pole <i>Generowana nazwa archiwum</i> nie może być puste';
+$lang['dl_group_id'] = 'Grupy którym wolno pobierać zdjęcia. Użyj <i>ctrl</i> aby zwielokrotnić wybór';
+$lang['dl_high'] = 'Pobieraj zdjęcia w wysokiej rozdzielczości';
+$lang['dl_install_ok'] = 'Instalacja przebiegła pomyślnie';
+$lang['dl_legend_select'] = 'Wybierz zdjęcia';
+$lang['dl_max_size'] = 'Maksymalna wielkość archiwum (w bajtach)';
+$lang['dl_message_cart'] = 'Masz %s zdjęć';
+$lang['dl_mysql_version'] = 'Wersja MySQL jest niekompatybilna. Minimalne wymagania to wersja 4.1';
+$lang['dl_no_download_high'] = 'jest niedostępne w HD';
+$lang['dl_no_download_http'] = 'jest niedostępne do pobrania';
+$lang['dl_no_download_title'] = 'Następujące zdjęcia nie mogą być pobrane w HD';
+$lang['dl_no_file'] = 'Nie wybrano plików do pobrania';
+$lang['dl_normal'] = 'Pobierz zwykłe zdjęcia';
+$lang['dl_php_version'] = 'Wersja PHP niższa niż 5, instalacja niemożliwa';
+$lang['dl_prefix_button'] = 'Wyślij';
+$lang['dl_prefix_file'] = 'Prefiks pliku';
+$lang['dl_preview'] = 'Obejrzyj koszyk';
+$lang['dl_select_all'] = 'Wybierz wszystkie';
+$lang['dl_select_dl'] = 'Pobierz typ domyślny';
+$lang['dl_select'] = 'Dodaj do koszyka';
+$lang['dl_start'] = 'Pobierz swój koszyk';
+$lang['dl_th_action'] = 'Akcja';
+$lang['dl_th_date'] = 'Utwórz datę';
+$lang['dl_th_file'] = 'Pliki';
+$lang['dl_thumbnail'] = 'Pobierz miniaturki';
+$lang['dl_title_config'] = 'Konfiguracja Download Multi';
+$lang['dl_title_erreur'] = 'Błąd';
+$lang['dl_title_information'] = 'Informacja o Twojej konfiguracji';
+$lang['dl_title_telechargement'] = 'Lista plików';
+$lang['dl_title'] = 'Download Multi';
+$lang['dl_trash'] = 'Opróżnij koszyk';
+$lang['dl_type_high'] = 'HD';
+$lang['dl_type_normal'] = 'Normalne';
+$lang['dl_type_thumbnail'] = 'Miniatura';
+$lang['dl_uncheck'] = 'Odznacz wszystkie';
+$lang['dl_zip_active_comment'] = 'Uaktywnij komentarze w pliku zip: <br/<i>Nie działa na free.fr</i>';
+$lang['dl_zip_comment'] = 'Wyświetlaj komentarze w pliku zip';
+$lang['dl_zip_dir_prefix_car'] = 'Pole <i>Prefiks katalogu używanego podczas dekompresji</i> może zawierać tylko litery i cyfry bez znaków specjalnych i polskich liter';
+$lang['dl_zip_dir_prefix'] = 'Prefiks katalogu używanego podczas dekompresji';
+$lang['dl_zip_pattern_name_car'] = 'Pole <i>Generuj nazwę archiwum</i> może zawierać tylko litery i cyfry bez znaków specjalnych i polskich liter';
+$lang['dl_zip_pattern_name'] = 'Generuj nazwy rekordów, możesz użyć [date] aby wstawić datę w formacie RRRRMMDD lub [rand] aby wygenerować losowy numer';
+$lang['dl_zip_prefix_car'] = 'Pole <i>Domyślny prefiks dla nazw ściąganych plików zip</i> może zawierać tylko litery i cyfry bez znaków specjalnych i polskich liter';
+$lang['dl_zip_prefix'] = 'Domyślny prefiks dla nazw ściąganych plików zip';
+?>