Index: /extensions/paMOOramics/language/pl_PL/description.txt
===================================================================
--- /extensions/paMOOramics/language/pl_PL/description.txt	(revision 16544)
+++ /extensions/paMOOramics/language/pl_PL/description.txt	(revision 16544)
@@ -0,0 +1,2 @@
+Wyświetla zdjęcia panoramiczne używając skryptu pamoorama by silvertab (powered by mootools)
+Display panoramics images using pamoorama script by silvertab (powered by mootools)
Index: /extensions/paMOOramics/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/paMOOramics/language/pl_PL/plugin.lang.php	(revision 16544)
+++ /extensions/paMOOramics/language/pl_PL/plugin.lang.php	(revision 16544)
@@ -0,0 +1,49 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['pamooramics_Slideshow_displayfooter'] = 'Nie wyświetlaj podpisu podczas pokazu slajdów';
+$lang['pamooramics_activateslider'] = 'Uaktywnij przewijanie po najechaniu myszką';
+$lang['pamooramics_admin_form_legend'] = 'Konfiguracja paMOOramics';
+$lang['pamooramics_and'] = 'i';
+$lang['pamooramics_autoscroll_onload'] = 'Podczas ładowania uruchom autoprzewijanie';
+$lang['pamooramics_autoscroll_speed'] = 'Prędkość autoprzewijania';
+$lang['pamooramics_border_color'] = 'Kolor ramki panoramy';
+$lang['pamooramics_border_size'] = 'Grubość ramki panoramy';
+$lang['pamooramics_by'] = 'przez';
+$lang['pamooramics_caption_color'] = 'Kolor czcionki opisu';
+$lang['pamooramics_clickMessage'] = 'Kliknij aby ruszyć ramkę!';
+$lang['pamooramics_description'] = 'paMOOramics pozwala na wyświetlanie i przewijanie Twoich panoram w Piwigo dzięki:';
+$lang['pamooramics_displayfooter'] = 'Nie wyświetlaj podpisu';
+$lang['pamooramics_dragMessage'] = 'Pociągnij mnie aby przesunąć panoramę!';
+$lang['pamooramics_enable_autoscroll'] = 'Zezwalaj na autoprzewijanie';
+$lang['pamooramics_footer_color'] = 'Kolor tła podpisu';
+$lang['pamooramics_loading'] = 'Ładowanie...';
+$lang['pamooramics_name'] = 'Tekst w wyszukiwarce podczas wyświetlania obrazów panoramicznych';
+$lang['pamooramics_picture_high'] = 'Kliknij tutaj aby zobaczyć panoramę HD';
+$lang['pamooramics_ratio'] = 'Minimalny stosunek (szerokość/wysokość) aby wyświetlać zdjęcia w trybie panoramy';
+$lang['pamooramics_save_config'] = 'Zapisz';
+$lang['pamooramics_startAutoscroll'] = 'Uruchom autoprzewijanie';
+$lang['pamooramics_stopAutoscroll'] = 'Zatrzymaj autoprzewijanie';
+$lang['pamooramics_use_name'] = 'Uaktywniaj paMOOramics po nazwie pliku';
+$lang['pamooramics_use_ratio'] = 'Uaktywniaj paMOOramics po stosunku szer/wys';
+$lang['pamooramics_width'] = 'Szerokość wyświetlania panoramy';
+?>