Index: /extensions/hotlink_compatibility/language/ru_RU/desc_content.html
===================================================================
--- /extensions/hotlink_compatibility/language/ru_RU/desc_content.html	(revision 16564)
+++ /extensions/hotlink_compatibility/language/ru_RU/desc_content.html	(revision 16564)
@@ -0,0 +1,8 @@
+В Piwigo 2.4 добавлена новая функция "Разные размеры", которая потребовала многих технических нововведений. В частности, это повлияло на систему хранения файлов. Вместо двух или трех вариантов каждой фотографии (web-size, thumbnail, high-def), теперь в директориях <i>upload</i> и <i>galleries</i> хранится исходная версия файла. Вследствие этого:
+<ul>
+  <li>хотлинки на фотографии web-размера стали ссылками на исходные файлы</li>
+  <li>хотлинки на фотографии высокого разрешения больше не работают</li>
+  <li>хотлинки на миниатюры больше не работают</li>
+</ul>
+Чтобы решить эти проблемы, мы создали плагин, который генерирует или изменяет файл .htaccess в корневой папке Piwigo. В этом файле содержатся правила для изменения URL, сообщающие серверу работающие ссылки на фотографии.<br>
+<b>Если Вы не используете хотлинки, Вы можете не применять данное обновление и удалить плагин.</b>
Index: /extensions/hotlink_compatibility/language/ru_RU/description.txt
===================================================================
--- /extensions/hotlink_compatibility/language/ru_RU/description.txt	(revision 16564)
+++ /extensions/hotlink_compatibility/language/ru_RU/description.txt	(revision 16564)
@@ -0,0 +1,1 @@
+Обновляет файл .htaccess для устранения ошибки с хотлинками. Не требуется для пользователей Piwigo 2.4 или выше.
Index: /extensions/hotlink_compatibility/language/ru_RU/index.php
===================================================================
--- /extensions/hotlink_compatibility/language/ru_RU/index.php	(revision 16564)
+++ /extensions/hotlink_compatibility/language/ru_RU/index.php	(revision 16564)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/hotlink_compatibility/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/hotlink_compatibility/language/ru_RU/plugin.lang.php	(revision 16564)
+++ /extensions/hotlink_compatibility/language/ru_RU/plugin.lang.php	(revision 16564)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['.htaccess file is not writable'] = 'Запись в .htaccess невозможна';
+$lang['Apply upgrade anyway'] = 'Применить обновление в любом случае';
+$lang['Apply upgrade'] = 'Применить обновление';
+$lang['Piwigo can\'t create or modify the .htaccess, you would have to do it manually if you want to apply this upgrade. Here is what you must put in the file:'] = 'Piwigo не может создать или изменить файл .htaccess. Если Вы хотите чтобы обновления вступили в силу, Вам нужно изменить файл вручную. Добавьте следующий код в .htaccess:';
+$lang['Unable to activate RewriteEngine'] = 'Невозможно активировать RewriteEngine.';
+$lang['Upgrade already applied, please remove this plugin'] = 'Обновление уже осуществлено. Пожалуйста, удалите этот плагин.';
+$lang['Upgrade successfully applied, please remove this plugin'] = 'Обновление успешно осуществлено. Пожалуйста, удалите этот плагин.';
+$lang['You already have a .htaccess file but it blocks the rewrite engine (line <i>RewriteEngine off</i>), please remove this line to allow Piwigo to apply the upgrade.'] = 'У Вас уже есть файл .htaccess, но в нем имеется директива блокировки механизма перезаписи URL (строка <i>RewriteEngine off</i>). Пожвлуйста, удалите эту строку, чтобы осуществить обновление Piwigo.';
+$lang['Your gallery is hosted by a service known to have issues with URL Rewriting, you apply this upgrade at your own risk.'] = 'Ваша галерея расположена на сервере, для которого известны проблемы с URL Rewriting. Вы осуществляете обновление на собственный риск.';
+$lang['Your host may be incompatible with URL rewriting'] = 'Ваш сервер может быть несовместим с URL Rewriting.';
+?>