Index: /extensions/paMOOramics/language/ru_RU/description.txt
===================================================================
--- /extensions/paMOOramics/language/ru_RU/description.txt	(revision 16587)
+++ /extensions/paMOOramics/language/ru_RU/description.txt	(revision 16587)
@@ -0,0 +1,1 @@
+Отображение панорамных изображений с помощью сценария pamoorama silvertab (на базе MooTools)
Index: /extensions/paMOOramics/language/ru_RU/index.php
===================================================================
--- /extensions/paMOOramics/language/ru_RU/index.php	(revision 16587)
+++ /extensions/paMOOramics/language/ru_RU/index.php	(revision 16587)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/paMOOramics/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/paMOOramics/language/ru_RU/plugin.lang.php	(revision 16587)
+++ /extensions/paMOOramics/language/ru_RU/plugin.lang.php	(revision 16587)
@@ -0,0 +1,49 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['pamooramics_Slideshow_displayfooter'] = 'Не показывать заголовок для слайд-шоу';
+$lang['pamooramics_activateslider'] = 'Активировать прокруткой колесика мыши';
+$lang['pamooramics_admin_form_legend'] = 'Конфигурация paMOOramics';
+$lang['pamooramics_and'] = 'и';
+$lang['pamooramics_autoscroll_onload'] = 'Начать автопрокрутку при загрузке';
+$lang['pamooramics_autoscroll_speed'] = 'Скорость автопрокрутки';
+$lang['pamooramics_border_color'] = 'Цвет границы панорамы';
+$lang['pamooramics_border_size'] = 'Размер границы панорамы';
+$lang['pamooramics_by'] = 'от';
+$lang['pamooramics_caption_color'] = 'Цвет текста описания';
+$lang['pamooramics_clickMessage'] = 'Нажмите, чтобы переместить рамку!';
+$lang['pamooramics_description'] = 'paMOOramics позволяет просматривать и прокручивать ваши панорамы  в Piwigo, спасибо:';
+$lang['pamooramics_displayfooter'] = 'Не показывать заголовок';
+$lang['pamooramics_dragMessage'] = 'Перетащите меня чтобы двигать панораму!';
+$lang['pamooramics_enable_autoscroll'] = 'Разрешить автопрокрутку';
+$lang['pamooramics_footer_color'] = 'Цвет фона заголовка';
+$lang['pamooramics_loading'] = 'Загрузка...';
+$lang['pamooramics_name'] = 'Текст для поиска, чтобы отображать изображения в панорамном режиме';
+$lang['pamooramics_picture_high'] = 'Нажмите здесь, чтобы посмотреть панораму с высоким разрешением';
+$lang['pamooramics_ratio'] = 'Минимальное соотношение (ширина / высота) для отображения изображений в панорамном режиме';
+$lang['pamooramics_save_config'] = 'Сохранить';
+$lang['pamooramics_startAutoscroll'] = 'Начать автопрокрутку';
+$lang['pamooramics_stopAutoscroll'] = 'Остановить автопрокрутку';
+$lang['pamooramics_use_name'] = 'Активировать paMOOramics по имени файла';
+$lang['pamooramics_use_ratio'] = 'Активировать paMOOramics на ш/в отношении';
+$lang['pamooramics_width'] = 'Ширина отображения панорамы';
+?>